Package ru.bitel.oss.systems.order.product.common.event

# Class ProductDeactivatedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.oss.systems.order.product.common.event.ProductDeactivatedEvent

All Implemented Interfaces:
  `Serializable`

public class ProductDeactivatedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие "продукт деактивирован". Генерируется после деактиваии продукта

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductDeactivatedEvent()`
  `ProductDeactivatedEvent(int productId, int productSpecId, int accountId, int contractId, int userId, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `int`
  `getProductId()`
  `int`
  `getProductSpecId()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductDeactivatedEvent

    public ProductDeactivatedEvent()

  - ### ProductDeactivatedEvent

    public ProductDeactivatedEvent(int productId, int productSpecId, int accountId, int contractId, int userId, int moduleId)

- ## Method Details

  - ### getProductId

    public int getProductId()

  - ### getProductSpecId

    public int getProductSpecId()

  - ### getAccountId

    public int getAccountId()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ru.bitel.bgbilling.kernel.event.common.Event`